Subject: Re: support for 2nd processor?

From: [email-masked] (Matthew Wilcox)
Date: Thu, 26 Nov 1998 10:52:44 +0100 (CET)

I've thought about the possibilities for asymmetric multiprocessing.  it's
a moderately interesting idea.  the main problem is that the x86 card has
no way of causing an interrupt to be delivered to the ARM - so you can't
really run one kernel on the machine.  though I guess the ARM can interrupt
the x86 so you could run the x86 kernel and have the ARM as the subordinate
processor.  i've been talking to Jes Sorensen (of linux/68k) about this
since he has something similar - PowerPC & M68k in the same machine.

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Alan Cox <[email-masked]>
Date: Thu, 26 Nov 1998 16:24:56 +0000 (GMT)

> since he has something similar - PowerPC & M68k in the same machine.

As a dual kernel system no cross IRQ is doable - use a ring buffer for
communcation and poll on timer ticks. I wouldnt mind betting there is
some shared peripheral you can rig to interrupt the other CPU if misused
suitably